Page MenuHomePhabricator

WikiEditor: Toolbar should insert tags in edit summary input (if focussed)
Closed, DeclinedPublic

Description

  1. Open a page in 'edit' mode
  2. Click in the summary field
  3. Click in the "Link" button of the (enhanced) toolbar
  4. Fill the fields "Target page or URL:" and "Text to display:" with some random text (e.g. "foo" and "bar")
  5. Click on "Insert link"

Expected result

  • The text [[foo|bar]] should be added to the summary field (i.e. the one with focus when the button is clicked)

Actual result

  • The text [[foo|bar]] will be added to the edit box

The same happens with other buttons (although they are not that useful for a summary) but works fine with the old toolbar (which inserts [[Link title]] in the summary).


Version: unspecified
Severity: normal
See Also:

Details

Reference
bz37084

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 12:20 AM
bzimport added projects: WikiEditor, JavaScript.
bzimport set Reference to bz37084.
bzimport added a subscriber: Unknown Object (MLST).
He7d3r created this task.May 24 2012, 12:48 PM
He7d3r added a comment.EditedOct 3 2012, 10:19 PM
  • T41268 has been marked as a duplicate of this bug. ***

This legacy toolbar actually had this feature (it bound to all input,textarea on the page, and kept a reference to the one focussed most recently).

Though we could re-create that feature in WikiEditor, I think it was by design that WikiEditor doesn't have it:

  • The toolbar is bound to a specific textarea for a reason, namely because it is positions right on top of it (clicking a button on top of area A should focus area A and insert a button into it).
  • There can be multiple WikiEditor areas on one page, so if it would do this, stuff will break even worse.
  • And lastly, edit summaries shouldn't contain wikitext in the first place (though that on its own is arguable).

As such marking as wontfix because in the current design this is not possible, and I think that design is for a good reason.

He7d3r updated the task description. (Show Details)Mar 30 2015, 5:19 PM
GOIII moved this task from Backlog to Closed on the WikiEditor board.Apr 3 2016, 9:23 AM